Can anybody direct me to or write their encounters setting up Apache and PHP on Snow Leopard?

I'd this working previously on Leopard, it might die following a security update, but was as easy as:

$ ./configure --enable-layout=Darwin --enable-mods-shared=all

$ make

$ sudo make install

and that i was ready to go again.

Because the Snow Leopard update I recieve the next problem on make command

libtool: link: cannot discover the library `/usr/lib/libexpat.la' or unhandled argument `/usr/lib/libexpat.la'

make[2]: *** [htpasswd] Error 1

make[1]: *** [all-recursive] Error 1

make: *** [all-recursive] Error 1